---
lang: en
title: 'API docs: socketio.socketiosendprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiosendprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoSendProvider](./socketio.socketiosendprovider.md)

## SocketIoSendProvider class

**Signature:**

```typescript
export declare class SocketIoSendProvider implements Provider<SocketIoSendMethod> 
```
**Implements:** [Provider](./context.provider.md)<!-- -->&lt;[SocketIoSendMethod](./socketio.socketiosendmethod.md)<!-- -->&gt;

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(done, result)](./socketio.socketiosendprovider.action.md) |  |  |
|  [value()](./socketio.socketiosendprovider.value.md) |  |  |


